apiVersion: apps/v1
kind: Deployment
metadata:
  name: tensorsec-waf-console
spec:
  selector:
    matchLabels:
      app: tensorsec-waf-console
  template:
    metadata:
      labels:
        app: tensorsec-waf-console
        app.kubernetes.io/name: waf-console
    spec:
      imagePullSecrets:
      - name: harbor-admin-secret
      containers:
      - name: waf-console
        image: harbor.tensorsecurity.com/tensorsecurity/waf-console:testcn
        imagePullPolicy: Always
        resources:
          limits:
            memory: "128Mi"
            cpu: "500m"
        ports:
        - containerPort: 8080
        volumeMounts:
        - name: waf-console-config
          mountPath: /config
        - name: waf-console-rules
          mountPath: /rules
      volumes:
      - name: waf-console-config
        configMap:
          name: waf-console-config
      - name: waf-console-rules
        configMap:
          name: waf-console-rules
---
apiVersion: v1
kind: Service
metadata:
  name: tensorsec-waf-console
spec:
  selector:
    app: tensorsec-waf-console
  ports:
  - port: 8080
    targetPort: 8080
